classification
Title: Support WebP image format detection in imghdr module
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: Claudiu.Popa, akhenakh, berker.peksag, gregory.p.smith, python-dev, serhiy.storchaka, xcombelle
Priority: normal Keywords: patch

Created on 2014-01-08 21:38 by akhenakh, last changed 2014-05-25 09:31 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
imghdr_webp.patch akhenakh, 2014-01-08 21:38 review
issue20197.patch Claudiu.Popa, 2014-03-10 19:27 review
issue20197_v1.patch Claudiu.Popa, 2014-03-10 20:06 Add comma for cleaner future patches. review
issue20197_v2.patch Claudiu.Popa, 2014-03-10 21:56 Add versionchanged. review
Messages (5)
msg207702 - (view) Author: Fabrice Aneche (akhenakh) Date: 2014-01-08 21:38
Detect the webp file format (RIFF container + WEBP), return webp as format detected.
msg208646 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-01-21 14:33
LGTM. Detecting function matches the WebP specification [1].

[1] https://developers.google.com/speed/webp/docs/riff_container#webp-file-header
msg213074 - (view) Author: Claudiu Popa (Claudiu.Popa) * Date: 2014-03-10 19:27
Thanks for your patch, Fabrice!

I've uploaded a change to your patch, by adding a .webp test file and adding the .webp format in imghdr's test suite.
msg219076 - (view) Author: Roundup Robot (python-dev) Date: 2014-05-25 08:45
New changeset 4fd17e28d4bf by Serhiy Storchaka in branch 'default':
Issue #20197: Added support for the WebP image type in the imghdr module.
http://hg.python.org/cpython/rev/4fd17e28d4bf
msg219077 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-05-25 09:31
Thank you for your contribution Fabrice and Claudiu.
History
Date User Action Args
2014-05-25 09:31:55serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg219077

stage: commit review -> resolved
2014-05-25 08:45:47python-devsetnosy: + python-dev
messages: + msg219076
2014-05-25 08:28:22serhiy.storchakasetassignee: serhiy.storchaka
2014-03-10 21:56:02Claudiu.Popasetfiles: + issue20197_v2.patch
2014-03-10 20:06:59Claudiu.Popasetfiles: + issue20197_v1.patch
2014-03-10 19:52:51xcombellesetnosy: + xcombelle
2014-03-10 19:27:22Claudiu.Popasetfiles: + issue20197.patch

messages: + msg213074
2014-01-21 14:33:04serhiy.storchakasetmessages: + msg208646
stage: commit review
2014-01-21 10:28:14pitrousetnosy: + serhiy.storchaka
2014-01-20 22:37:32berker.peksagsetnosy: + berker.peksag

versions: + Python 3.5, - Python 2.7, Python 3.4
2014-01-08 22:22:57Claudiu.Popasetnosy: + Claudiu.Popa
2014-01-08 21:38:19akhenakhcreate